Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230249 - computer always identifies as noname to the network
Summary: computer always identifies as noname to the network
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: dhcp
Version: 6
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Cantrell
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-27 19:06 UTC by Thomas Könning
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-08 17:51:46 UTC


Attachments (Terms of Use)

Description Thomas Könning 2007-02-27 19:06:39 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de; rv:1.8.0.9) Gecko/20061221 Fedora/1.5.0.9-1.fc5 Firefox/1.5.0.9

Description of problem:
I use a Router with DHCP. My computers (both fc5 and fc6) always identify as noname to the router although the names of the mashines are others.

Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. There is nothing to do exept to start the computer
2.
3.

Actual Results:
the computer identifies as noname to the network

Expected Results:
the computer should identify as f. e. tkdesktop.koenning (the given name of the computer)

Additional info:

Comment 1 David Cantrell 2007-03-01 22:20:04 UTC
Need more information for this bug report.  What is your hostname set to?

Comment 2 Thomas Könning 2007-03-02 07:46:21 UTC
my hostname:

tkdesktop.koenning

Comment 3 David Cantrell 2007-03-02 15:41:33 UTC
I'm afraid I still don't have enough information to go with.  Is there a set of
steps to recreate the problem you are having?  And by that, I mean all the way
from installation to problem.

Comment 4 Thomas Könning 2007-03-05 10:22:49 UTC
Ok. as i remeber, i installed FC6 and after the installation the computer was
named noname. Then i started the graphical network-administration-tool and
changed the name to tkdesktop. On the prompt, i can see that the changes took
place, but in the router i still get the Computer shown as noname.
(The router is an AVM Fritz!Box 2070)

Comment 5 David Cantrell 2007-03-05 16:51:21 UTC
Can you run the following command to scan your /etc tree for noname:

find /etc -type f | xargs grep noname

Comment 6 Thomas Könning 2007-03-08 17:36:00 UTC
This command gives no results!

Comment 7 David Cantrell 2007-03-08 17:51:46 UTC
OK, if 'noname' is not in _any_ file in /etc, then it's coming from somewhere
else and it's not related to Fedora.  Perhaps your AVM Fritz!Box 2070 is
defaulting to noname for some reason.

Closing this as NOTABUG.


Note You need to log in before you can comment on or make changes to this bug.